Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
breakmygentoo missing ebuilds
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
glurps
Apprentice
Apprentice


Joined: 11 Mar 2004
Posts: 292

PostPosted: Sat Mar 26, 2005 2:28 pm    Post subject: breakmygentoo missing ebuilds Reply with quote

i successfully synced with bmg-main and bmg-gnome-current but some ebuilds that i can find on breakmygentoo.net dont appear in the overlay-trees.

the one i intend to use is jamboree. i downloaded it manually and put it in a manually maintained overlay but then dependencies are missing.

Code:
No package 'dbus-1' found
checking for
 gtk+-2.0 >= 2.3.1
 libgnomeui-2.0
 libglade-2.0
  gstreamer-0.7 >= 0.7.4 gstreamer-control-0.7 >= 0.7.4 gstreamer-gcon
... Package gstreamer-0.7 was not found in the pkg-config search path.
Perhaps you should add the directory containing `gstreamer-0.7.pc'
to the PKG_CONFIG_PATH environment variable
No package 'gstreamer-0.7' found

configure: error: Library requirements (
 gtk+-2.0 >= 2.3.1
 libgnomeui-2.0
 libglade-2.0
  gstreamer-0.7 >= 0.7.4 gstreamer-control-0.7 >= 0.7.4 gstreamer-gcon
) not met; consider adjusting the PKG_CONFIG_PATH environment variable
hem.


- gstreamer > 0.7 is available even though it seams to be complaining about that to
- gstreamer-gcon[f] is missing.

i would be asking on the gmb-mailinglists but they seam to be down.

the dependency problem seams to be an ebuild bug. but possibly someone got it to work and can help.

does anyone understand why some ebuild that can be found on the webpage are not synced?
Back to top
View user's profile Send private message
Carlo
Developer
Developer


Joined: 12 Aug 2002
Posts: 3356

PostPosted: Sat Mar 26, 2005 7:32 pm    Post subject: Reply with quote

This is forums.gentoo.org, not bmg. Take your problem there.
_________________
Please make sure that you have searched for an answer to a question after reading all the relevant docs.
Back to top
View user's profile Send private message
curtis119
Bodhisattva
Bodhisattva


Joined: 10 Mar 2003
Posts: 2159
Location: Toledo, OH, USA, North America, Earth, SOL System, Milky Way, The Universe, The Cosmos, and Beyond.

PostPosted: Sat Mar 26, 2005 7:35 pm    Post subject: Reply with quote

Carlo wrote:
This is forums.gentoo.org, not bmg. Take your problem there.


NO, we can still help you here. Not me but someone. You should have posted this in OTW though.
_________________
Please read the Forum Guidelines.
* | www.gayroughnecks.com | *
Back to top
View user's profile Send private message
kallamej
Administrator
Administrator


Joined: 27 Jun 2003
Posts: 4835
Location: Gothenburg, Sweden

PostPosted: Sat Mar 26, 2005 7:47 pm    Post subject: Reply with quote

Moved from Portage & Programming.
_________________
Please read our FAQ Forum, it answers many of your questions.
irc: #gentoo-forums on irc.freenode.net
Back to top
View user's profile Send private message
wdreinhart
Guru
Guru


Joined: 11 Jun 2003
Posts: 569
Location: 14SQB1124847710

PostPosted: Sat Mar 26, 2005 9:18 pm    Post subject: Re: breakmygentoo missing ebuilds Reply with quote

glurps wrote:

- gstreamer > 0.7 is available even though it seams to be complaining about that to
- gstreamer-gcon[f] is missing.


The problem is that it doesn't want gstreamer > 0.7. It wants gstreamer-0.7 >= 0.7.4 (meaning newer than 0.7.4 but still in the 0.7.x series). You probably have gstreamer-0.8 installed, since that's the current version now. I don't know if the functions that jamboree uses are compatible between 0.7 and 0.8.

Try symlinking all the gstreamer-0.8 pkg-config files in /usr/lib/pkgconfig to gstreamer-0.7 names. (i.e. "ln -s gstreamer-0.8-whatever.pc gstreamer-0.7-whatever.pc") and try to emerge jamboree again.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum